Eclipse Platform Release 3.7

## org.eclipse.ui.dialogs
Class WizardNewFolderMainPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewFolderMainPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage, Listener

    public class WizardNewFolderMainPage

extends WizardPage
implements Listener

Standard main page for a wizard that creates a folder resource.

This page may be used by clients as-is; it may be also be subclassed to suit.

Subclasses may extend

- `handleEvent`

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`WizardNewFolderMainPage(String pageName, IStructuredSelection selection)` Creates a new folder creation wizard page.

Method Summary
`protected void` `createAdvancedControls(Composite parent)` Creates the widget for advanced options.
`protected IContainer` `createContainerHandle(IPath containerPath)` Creates a container resource handle for the container with the given workspace path.
`void` `createControl(Composite parent)` (non-Javadoc) Method declared on IDialogPage.
`protected void` `createFolder(IFolder folderHandle, IProgressMonitor monitor)` Deprecated. As of 3.3, use `createNewFolder()` which uses the undoable operation support.
`protected IFolder` `createFolderHandle(IPath folderPath)` Creates a folder resource handle for the folder with the given workspace path.
`protected void` `createLinkTarget()` Creates the link target path if a link target has been specified.
`IFolder` `createNewFolder()` Creates a new folder resource in the selected container and with the selected name.
`protected void` `handleAdvancedButtonSelect()` Shows/hides the advanced option widgets.
`void` `handleEvent(Event ev)` The `WizardNewFolderCreationPage` implementation of this `Listener` method handles all events and enablements for controls on this page.
`protected void` `initializePage()` Initializes this page's controls.
`void` `setVisible(boolean visible)` The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state.
`protected IStatus` `validateLinkedResource()` Checks whether the linked resource target is valid.
`protected boolean` `validatePage()` Returns whether this page's controls currently all contain valid values.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### WizardNewFolderMainPage

    public WizardNewFolderMainPage(String pageName,
                                   IStructuredSelection selection)

  Creates a new folder creation wizard page. If the initial resource selection contains exactly one container resource then it will be used as the default container resource.

  Parameters:
    `pageName` - the name of the page
    `selection` - the current resource selection

Method Detail

### createAdvancedControls

    protected void createAdvancedControls(Composite parent)

  Creates the widget for advanced options.

  Parameters:
    `parent` - the parent composite

### createControl

    public void createControl(Composite parent)

  (non-Javadoc) Method declared on IDialogPage.

  Specified by:
    `createControl` in interface `IDialogPage`
  Parameters:
    `parent` - the parent composite

### createFolder

    protected void createFolder(IFolder folderHandle,
                                IProgressMonitor monitor)
                         throws CoreException

  Deprecated. As of 3.3, use `createNewFolder()` which uses the undoable operation support.

  Creates a folder resource given the folder handle.

  Parameters:
    `folderHandle` - the folder handle to create a folder resource for
    `monitor` - the progress monitor to show visual progress with
  Throws:
    `CoreException` - if the operation fails
    `OperationCanceledException` - if the operation is canceled

### createFolderHandle

    protected IFolder createFolderHandle(IPath folderPath)

  Creates a folder resource handle for the folder with the given workspace path. This method does not create the folder resource; this is the responsibility of `createFolder`.

  Parameters:
    `folderPath` - the path of the folder resource to create a handle for
  Returns:
    the new folder resource handle
  See Also:
    `createFolder(org.eclipse.core.resources.IFolder, org.eclipse.core.runtime.IProgressMonitor)`

### createContainerHandle

    protected IContainer createContainerHandle(IPath containerPath)

  Creates a container resource handle for the container with the given workspace path. This method does not create the resource.

  Parameters:
    `containerPath` - the path of the container resource to create a handle for
  Returns:
    the new container resource handle
  Since:
    3.6
  See Also:
    `createFolder(org.eclipse.core.resources.IFolder, org.eclipse.core.runtime.IProgressMonitor)`

### createLinkTarget

    protected void createLinkTarget()

  Creates the link target path if a link target has been specified.

### createNewFolder

    public IFolder createNewFolder()

  Creates a new folder resource in the selected container and with the selected name. Creates any missing resource containers along the path; does nothing if the container resources already exist.

  In normal usage, this method is invoked after the user has pressed Finish on the wizard; the enablement of the Finish button implies that all controls on this page currently contain valid values.

  Note that this page caches the new folder once it has been successfully created; subsequent invocations of this method will answer the same folder resource without attempting to create it again.

  This method should be called within a workspace modify operation since it creates resources.

  Returns:
    the created folder resource, or `null` if the folder was not created

### handleAdvancedButtonSelect

    protected void handleAdvancedButtonSelect()

  Shows/hides the advanced option widgets.

### handleEvent

    public void handleEvent(Event ev)

  The `WizardNewFolderCreationPage` implementation of this `Listener` method handles all events and enablements for controls on this page. Subclasses may extend.

  Specified by:
    `handleEvent` in interface `Listener`
  Parameters:
    `ev` - the event which occurred

### initializePage

    protected void initializePage()

  Initializes this page's controls.

### setVisible

    public void setVisible(boolean visible)

  Description copied from class: `DialogPage`
  The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state. Subclasses may extend.

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `DialogPage`
  Parameters:
    `visible` - `true` to make this page visible, and `false` to hide it

### validateLinkedResource

    protected IStatus validateLinkedResource()

  Checks whether the linked resource target is valid. Sets the error message accordingly and returns the status.

  Returns:
    IStatus validation result from the CreateLinkedResourceGroup

### validatePage

    protected boolean validatePage()

  Returns whether this page's controls currently all contain valid values.

  Returns:
    `true` if all controls are valid, and `false` if at least one is invalid

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.